<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:gui="http://schemas.haulmont.com/cuba/spring/cuba-gui.xsd">

    <!-- Annotation-based beans -->
    <context:component-scan base-package="com.bitsolution.urundana"/>
    
    <gui:screens base-packages="com.bitsolution.urundana.web"/>
    <bean id="urundana_proxyCreator" class="com.haulmont.cuba.web.sys.remoting.WebRemoteProxyBeanCreator">
        <property name="serverSelector" ref="cuba_ServerSelector"/>
        <property name="remoteServices">
            <map>
                <entry key="urundana_BankService" value="com.bitsolution.urundana.service.master.BankService"/>
                <entry key="urundana_SessionService" value="com.bitsolution.urundana.service.SessionService"/>
                <entry key="urundana_ProfileService"
                       value="com.bitsolution.urundana.service.userprofile.ProfileService"/>
                <entry key="urundana_RegisterService"
                       value="com.bitsolution.urundana.service.userprofile.RegisterService"/>
                <entry key="urundana_BaseByUserService"
                       value="com.bitsolution.urundana.service.base.BaseByUserService"/>
                <entry key="urundana_BankProfileService"
                       value="com.bitsolution.urundana.service.userprofile.BankProfileService"/>
                <entry key="urundana_UserProfileService"
                       value="com.bitsolution.urundana.service.userprofile.UserProfileService"/>
                <entry key="urundana_GenderService" value="com.bitsolution.urundana.service.master.GenderService"/>
                <entry key="urundana_BaseCrudService" value="com.bitsolution.urundana.service.base.BaseCrudService"/>
                <entry key="urundana_NationalityService"
                       value="com.bitsolution.urundana.service.master.NationalityService"/>
                <entry key="urundana_MaritalStatusService"
                       value="com.bitsolution.urundana.service.master.MaritalStatusService"/>
                <entry key="urundana_ProvinceService" value="com.bitsolution.urundana.service.master.ProvinceService"/>
                <entry key="urundana_CityService" value="com.bitsolution.urundana.service.master.CityService"/>
                <entry key="urundana_SubDistrictService"
                       value="com.bitsolution.urundana.service.master.SubDistrictService"/>
                <entry key="urundana_UrbanVillageService"
                       value="com.bitsolution.urundana.service.master.UrbanVillageService"/>
                <entry key="urundana_EducationService"
                       value="com.bitsolution.urundana.service.master.EducationService"/>
                <entry key="urundana_FormOfBusinessService"
                       value="com.bitsolution.urundana.service.master.FormOfBusinessService"/>
                <entry key="urundana_IncomeService" value="com.bitsolution.urundana.service.master.IncomeService"/>
                <entry key="urundana_IndustryCategoryService"
                       value="com.bitsolution.urundana.service.master.IndustryCategoryService"/>
                <entry key="urundana_InvestmentBudgetService"
                       value="com.bitsolution.urundana.service.master.InvestmentBudgetService"/>
                <entry key="urundana_InvestmentObjectiveService"
                       value="com.bitsolution.urundana.service.master.InvestmentObjectiveService"/>
                <entry key="urundana_InvestmentRiskPreferenceService"
                       value="com.bitsolution.urundana.service.master.InvestmentRiskPreferenceService"/>
                <entry key="urundana_InvestmentRolePreferenceService"
                       value="com.bitsolution.urundana.service.master.InvestmentRolePreferenceService"/>
                <entry key="urundana_JobPositionService"
                       value="com.bitsolution.urundana.service.master.JobPositionService"/>
                <entry key="urundana_JobService" value="com.bitsolution.urundana.service.master.JobService"/>
                <entry key="urundana_ManyBranchOfBusinessService"
                       value="com.bitsolution.urundana.service.master.ManyBranchOfBusinessService"/>
                <entry key="urundana_MarketingFunnelService"
                       value="com.bitsolution.urundana.service.master.MarketingFunnelService"/>
                <entry key="urundana_SourceInfoService"
                       value="com.bitsolution.urundana.service.master.SourceInfoService"/>
                <entry key="urundana_PersonalDataService"
                       value="com.bitsolution.urundana.service.userprofile.PersonalDataProfileService"/>
                <entry key="urundana_JobProfileService"
                       value="com.bitsolution.urundana.service.userprofile.JobProfileService"/>
                <entry key="urundana_DocumentProfileService"
                       value="com.bitsolution.urundana.service.userprofile.DocumentProfileService"/>
                <entry key="urundana_PreferenceProfileService"
                       value="com.bitsolution.urundana.service.userprofile.PreferenceProfileService"/>
                <entry key="urundana_MasterRepositoryService"
                       value="com.bitsolution.urundana.service.MasterRepositoryService"/>
            </map>
        </property>
    </bean>

</beans>